Plank.UnityClient – plank Reference Manual

# UnityClient

## Object Hierarchy:

## Description:

public interface UnityClient : Object

The interface to provide the LauncherEntry handling.

All known implementing classes:

- ApplicationDockItemProvider

Namespace: Plank
Package: plank

## Content:

### Methods:

- public abstract void update_launcher_entry (string sender_name, Variant parameters, bool is_retry = false)
  The LauncherEntry corresponding to the sender_name requested an update
- public abstract void remove_launcher_entry (string sender_name)
  The LauncherEntry corresponding to the sender_name vanished

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- weak_ref
- weak_unref
- notify
- ref_count